<!doctype html>
<html>

<head>
    <title>Ajax Örneği | PHP Mutfağı</title>
</head>

<body>
    <input type="text" value="" id="verim" />
    <button type="button" id="ajax_gonder">AJAX GÖNDER</button>

    <div id="sonuc"></div>

    <script src="https://code.jquery.com/jquery-3.5.0.js"></script>
    <!-- ajax post jqueryden türediği için jquery kodlarını kullanacağız -->
    <!-- bu yüzden jquery kütüphanesini dahil ettik ki jquery kodlarını çalıştıralım. -->

    <!-- !!!!!! JQUERY KÜTÜPHANESİNİ DAHİL ETMEDEN JQUERY KODLARINI ÇALIŞTIRAMAZSINIZ !!!!!! -->
    <script>
        $("#ajax_gonder").click(function() {
            //bu click olayıda bir kalıptır tıklanma olaylarında kullanılır.
            //ajax_gonder idsine sahip nesneye tıklanıldığında bu fonksiyonu çağırmasını söyledik.
            $.ajax({
                type: 'POST', //sayfa gönderme tipidir. Gönderilen verileri post olarak göndermesini söyledik.
                url: 'ajax.php', //verileri hangi sayfaya göndereceğini yazıyoruz. dosya_yolu/dosya.php
                data: {
                    'gonderilen': $('#verim').val()
                    //'degisken_ismi' : 'degişken değeri'
                    //ajax.php ye gonderilen adında bir değişken post ettik.
                    //değişkenin değeri; verim idsine sahip inputun valuesi

                    /*
                    $('#verim').val()
                    # işareti id değeri gireceğimizi belirtir. verim idsine sahip alanla işlem yapacağımızı belirttik.
                    input olduğu için .val() diyerek value değerini almasını belirttik.
                    eğer html tagı(div,p,a vs.) olsaydı .html() diyerek içerisindeki htmli alabiliriz.

                    geri kalan kısmı bir kalıptır.
                    */
                },
                before: function() {
                    $("#sonuc").html("VERİ GÖNDERİLİYOR.");
                    /*
                    # işareti id değeri gireceğimizi belirtir. sonuc idsine sahip alanla işlem yapacağımızı belirttik.
                    sonuc idsine sahip alanın html içeriğine bunu yaz dedik.
                    */
                },
                error: function(donen_hata_degeri) {
                    $("#sonuc").html("SİSTEMSEL BİR HATA OLUŞTU.");
                    /*
                    # işareti id değeri gireceğimizi belirtir. sonuc idsine sahip alanla işlem yapacağımızı belirttik.
                    sonuc idsine sahip alanın html içeriğine bunu yaz dedik.
                    */
                },
                success: function(donen_deger) {
                    $("#sonuc").html(donen_deger);
                    /*
                    # işareti id değeri gireceğimizi belirtir. sonuc idsine sahip alanla işlem yapacağımızı belirttik.
                    sonuc idsine sahip alanın html içeriğine donen_deger değişkenini yaz dedik.

                    donen_deger otomatik olarak ajax.php bölümünde yazdırdığımız alanı değer olarak alır.
                    */
                }
            });
        });
    </script>

</body>

</html>